sav.gol {MassSpecWavelet} | R Documentation

## Estimate the baseline by using Savitzky-Golay Algorithm

### Description

Estimate the baseline by using Savitzky-Golay Algorithm

### Usage

    sav.gol(T, fl, forder = 4, dorder = 0)

### Arguments

`T` | vector of signals to be filtered
`fl` | filter length (for instance fl = 51..151)
`forder` | filter order (2 = quadratic filter, 4= quartic)
`dorder` | derivative order (0 = smoothing, 1 = first derivative, etc.)

### Value

The return is a smoothed vector (baseline).

### Note

This function was added by Steffen Neumann. We appreciated his help to make the package better.

### Author(s)

Steffen Neumann <sneumann@ipb-halle.de>

[Package MassSpecWavelet version 1.10.0 Index]